Skip to content
POST/{organizationId}/{mandateId}/crm/conversations/{conversationId}/recipients/contact

Updates recipient contact assignment

Required permissions:

  • mandate.read

  • conversation.edit

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
conversationIdstringrequired

Request Body required

Content-Type: application/json

recipientEmailstringrequired
contactIdstring | nullrequired

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/crm/conversations/{conversationId}/recipients/contact
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/conversations/{conversationId}/recipients/contact' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "recipientEmail": "string",
  "contactId": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Response

200
{
  "recipients": [
    {
      "actor": {
        "name": "string",
        "type": "contact",
        "nameNormalized": "string",
        "nameSort": "string",
        "contact": "000000000000000000000001",
        "image": {
          "resource": "string"
        },
        "user": {
          "name": "string",
          "type": "user",
          "userId": "string",
          "image": {
            "resource": "string"
          }
        }
      },
      "email": "string",
      "type": "cc"
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}